Index: trunk/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6996)
+++ trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7006)
@@ -13,16 +13,18 @@
     {
 
-    	if (isset($params['startTime']) && !is_numeric($params['startTime'])){
+    	if (isset($params['startTime']) && !is_numeric($params['startTime']))
     	    $params['startTime'] = self::parseTimeDate($params['startTime'], $params['timezone']);
-	    $params['rangeStart'] = $params['startTime'];
-	}
+	
+        $params['rangeStart'] = $params['startTime'];
+	
     	if (isset($params['endTime']) && !is_numeric($params['endTime'])) {
     	    $params['endTime'] = self::parseTimeDate($params['endTime'], $params['timezone']);
 
     	    if ($params['allDay'])
-    		$params['endTime'] = $params['endTime'] + 86400000;
+    	       	$params['endTime'] = $params['endTime'] + 86400000;
+	    }
 	    
-	    $params['rangeEnd'] = $params['endTime'];
-    	}
+        $params['rangeEnd'] = $params['endTime'];
+    	
 
         if (isset($params['due']) && $params['due'] != '' && !is_numeric($params['due']))
Index: trunk/prototype/modules/calendar/css/style.css
===================================================================
--- trunk/prototype/modules/calendar/css/style.css	(revision 6996)
+++ trunk/prototype/modules/calendar/css/style.css	(revision 7006)
@@ -543,7 +543,7 @@
 .calendar-addevent-details-txt-timezone, .calendar-addtask-details-txt-timezone{width: 217px;} 
 
-.div-addtask #calendar_addtask_details1 .time-previsao { width: 40px; }
-
-.div-addtask #calendar_addtask_details1 .date-previsao{ width: 80px; }
+.div-addtask #calendar_addtask_details1 .time-prevision { width: 40px; }
+
+.div-addtask #calendar_addtask_details1 .date-prevision{ width: 80px; }
 
 .div-addtask #calendar_addtask_details1 .start-time{ width: 40px; }
@@ -551,5 +551,5 @@
 .div-addtask #calendar_addtask_details1 .end-time{ width: 40px; }
 .div-addtask #calendar_addtask_details1 .end-date{ width: 80px; }
-.div-addtask #calendar_addtask_details1 .previsao-termino { margin: 0 0 0 30px; }
+.div-addtask #calendar_addtask_details1 .prevision-termino { margin: 0 0 0 30px; }
 .div-addtask #calendar_addtask_details1 .subitem { margin: 5px; display: block;}
 .div-addtask #calendar_addtask_details1 .subitem .span_done{ margin: 0 30px;}
@@ -614,5 +614,5 @@
 .div-addactivity #group_addactivity_details1 .end-time{ width: 40px; }
 .div-addactivity #group_addactivity_details1 .end-date{ width: 80px; }
-.div-addactivity #group_addactivity_details1 .previsao-termino { margin: 0 0 0 30px; }
+.div-addactivity #group_addactivity_details1 .prevision-termino { margin: 0 0 0 30px; }
 .div-addactivity #group_addactivity_details1 .subitem { margin: 5px; display: block;}
 .div-addactivity #group_addactivity_details1 .subitem .span_done{ margin: 0 30px;}
Index: trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 6996)
+++ trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 7006)
@@ -901,5 +901,5 @@
         'status': 'Status',
         'percentage': 'Porcentagem',
-        'priority': 'Priorudade',
+        'priority': 'Prioridade',
         'due' : 'Previsão de término'
     }
Index: trunk/prototype/modules/calendar/js/init.js
===================================================================
--- trunk/prototype/modules/calendar/js/init.js	(revision 6996)
+++ trunk/prototype/modules/calendar/js/init.js	(revision 7006)
@@ -249,4 +249,5 @@
     		    			endTime: new Date().toString('yyyy-MM-dd 00:00:00'),
     		    			allDay: '1',
+                            priority: '1',
 					participants: 
 					[{  
Index: trunk/prototype/modules/calendar/js/task.helpers.js
===================================================================
--- trunk/prototype/modules/calendar/js/task.helpers.js	(revision 6996)
+++ trunk/prototype/modules/calendar/js/task.helpers.js	(revision 7006)
@@ -25,6 +25,6 @@
     var start_time = $(".new-task-win.active .start-time").val();
     var end_time   = $(".new-task-win.active .end-time").val();
-	var due_date   = $(".new-task-win.active .date-previsao").val();
-	var due_time   =  $.trim($(".new-task-win.active .time-previsao").val());
+	var due_date   = $(".new-task-win.active .date-prevision").val();
+	var due_time   =  $.trim($(".new-task-win.active .time-prevision").val());
     var isAllDay   = $('.new-task-win.active input[name="allDay"]').is(':checked');
     var customDate = $(".endRepeat").val() == "customDate";
@@ -431,5 +431,5 @@
     UI.dialogs.addTask.find(".input-group .h1").Watermark("Tarefa sem título");
     if (User.preferences.hourFormat.length == 5) {
-        UI.dialogs.addTask.find(".end-time, .start-time, .time-previsao").mask("99:99", {
+        UI.dialogs.addTask.find(".end-time, .start-time, .time-prevision").mask("99:99", {
             completed: function () {
                 updateMap();
@@ -439,5 +439,5 @@
         $.mask.definitions['{'] = '[ap]';
         $.mask.definitions['}'] = '[m]';
-        UI.dialogs.addTask.find(".end-time, .start-time").mask("99:99 {}", {
+        UI.dialogs.addTask.find(".end-time, .start-time, .time-prevision").mask("99:99 {}", {
             completed: function () {
                 $(this).val(date.Calendar.defaultToAmPm($(this).val()));
Index: trunk/prototype/modules/calendar/templates/task_add.ejs
===================================================================
--- trunk/prototype/modules/calendar/templates/task_add.ejs	(revision 6996)
+++ trunk/prototype/modules/calendar/templates/task_add.ejs	(revision 7006)
@@ -20,7 +20,7 @@
 			<input type="text" class="time end-time<%= (data.task.allDay) ? ' hidden' : '' %>" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%> value="<%= (data.task.endHour) ? data.task.endHour : '' %>" name="endHour" />
 
-				<span class="previsao-termino">Previsão término:</span>
-				<input type="text" name="dueDate" class="date date-previsao" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%> value="<%= data.task.dueDate %>">
-				<input type="text" name="dueTime" class="time time-previsao" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%> value="<%= data.task.dueTime %>">
+				<span class="prevision-termino">Previsão término:</span>
+				<input type="text" name="dueDate" class="date date-prevision" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%> value="<%= data.task.dueDate %>">
+				<input type="text" name="dueTime" class="time time-prevision" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%> value="<%= data.task.dueTime %>">
 
 				<a href="#" class="calendar_addtask_details_lnk_timezone" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%>>Fuso horário</a>
Index: trunk/prototype/modules/calendar/templates/attendees_task.ejs
===================================================================
--- trunk/prototype/modules/calendar/templates/attendees_task.ejs	(revision 6996)
+++ trunk/prototype/modules/calendar/templates/attendees_task.ejs	(revision 7006)
@@ -118,5 +118,5 @@
             </ul>
         </dd>
-        <dd class="attendee-list-add" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%>>
+        <dd class="attendee-list-add <%= data.task.isOrganizer ? '' : 'hidden'%>">
             <fieldset class="add-attendee-input input-field-rounded ui-corner-all">
                 <span class="ui-icon ui-icon-plus" <%= data.task.isOrganizer ? '' : 'disabled="disabled"'%>></span>
@@ -154,5 +154,5 @@
     <dl class="block-add-attendee search <%= data.task.isOrganizer ? '' : 'hidden'%>">
     <dt class="add-attendee search">Adicionar outros convidados</dt>
-    <dd class="add-attendee">
+    <dd class="add-attendee  <%= data.task.isOrganizer ? '' : 'hidden'%>">
         <fieldset class="block-add-attendee" title="Participantes">
             <fieldset class="add-attendee-search search-field ui-corner-all">