Index: /trunk/expressoAdmin1_2/templates/default/assing_calendar.css
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/assing_calendar.css	(revision 6944)
+++ /trunk/expressoAdmin1_2/templates/default/assing_calendar.css	(revision 7041)
@@ -9,5 +9,5 @@
 div.assing-calendar dl{margin: 5px !important;}
 
-div.assing-calendar fieldset.add-user-search{width: 234px;}
+div.assing-calendar fieldset.add-user-search{width: 240px;}
 div.assing-calendar input.search{width: 210px;}
 
@@ -17,16 +17,21 @@
 
 div.assing-calendar div.menu-container.footer-container{margin: 2px 0 -12px 0 !important;}
-div.assing-calendar ul.search-result-list,div.assing-calendar ul.user-list{margin-left: -54px !important; width: 252px !important;      }
+div.assing-calendar ul.search-result-list,div.assing-calendar ul.user-list{margin: 0; padding: 0;  }
 div.assing-calendar ul li{overflow: hidden !important;}
 div.assing-calendar li.not-user{margin: 0 0 0 20px !important;}
-div.assing-calendar fieldset.add-user-search{margin: 0 0 5px -10px !important;}
+div.assing-calendar fieldset.add-user-search{margin: 0 0 5px 0px !important;}
 
 div.assing-calendar dd.add-user {height: 290px !important;}
 
-div.assing-calendar dd.calendar-list li{height: 20px !important; margin: 0 0 0 10px !important;}
+div.assing-calendar dd.calendar-list li{height: 20px !important; margin: 0 0 0 0x !important;}
 
 div.assing-calendar dd.calendar-list li div{display: block !important;}
 
-div.assing-calendar dd.calendar{height: 24px;}
+div.assing-calendar dd.calendar{height: 24px; text-align: left;}
+
+div.assing-calendar ul.search-result-list{height: 245px;}
+
+
+div.assing-calendar ul.search-result-list label.name{overflow: hidden; height: 15px;}
 
 div.assing-calendar li.calendar-selected{
@@ -36,3 +41,3 @@
 div.assing-calendar li.calendar-selected a {margin: 0 0 -2px 15px;}
 
-div.assing-calendar dd.calendar-list li.user-list{width: 333px;}
+div.assing-calendar dd.calendar-list li.user-list{width: 333px; list-style-type: none;}
Index: /trunk/expressoAdmin1_2/templates/default/participants_search_itemlist.ejs
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/participants_search_itemlist.ejs	(revision 5804)
+++ /trunk/expressoAdmin1_2/templates/default/participants_search_itemlist.ejs	(revision 7041)
@@ -1,4 +1,4 @@
 <% for (var i=0; i < data.length; i++) { %>
-<li class="ui-widget-content" style="width:6000px;" title="<%=data[i]['name']%>">
+<li class="ui-widget-content" style="width:230px;" title="<%=data[i]['name']%>">
 	<input type="checkbox" name="opcao" <%= (data[i].enabled) ?  '' : 'disabled="disabled"' %> />
 	<input type="hidden" value="<%=data[i]['id']%>" />
Index: /trunk/expressoAdmin1_2/templates/default/index.tpl
===================================================================
--- /trunk/expressoAdmin1_2/templates/default/index.tpl	(revision 5804)
+++ /trunk/expressoAdmin1_2/templates/default/index.tpl	(revision 7041)
@@ -108,4 +108,4 @@
 	</tr>
 </table>
-                <input type="hidden" id="assingCalendar"/>
+                <div class="hidden" id="assingCalendar"/>
 <!-- END body -->
Index: /trunk/prototype/Sync.php
===================================================================
--- /trunk/prototype/Sync.php	(revision 7025)
+++ /trunk/prototype/Sync.php	(revision 7041)
@@ -9,5 +9,7 @@
         $vars = array();
 
-        $input    = $_SERVER['REDIRECT_QUERY_STRING'];
+        if(isset($_SERVER['REDIRECT_QUERY_STRING']))
+            $input    = $_SERVER['REDIRECT_QUERY_STRING'];
+
         if(!empty($input)){
             $pairs    = explode("&", $input);
Index: /trunk/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- /trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7028)
+++ /trunk/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7041)
@@ -699,39 +699,39 @@
     }
 
-    public function deepnessFindCalendarShared(&$uri, &$result, &$criteria, $original) {
-	if (isset($original['criteria']['deepness']) && $original['criteria']['deepness'] != '0' && count($result) > 0) {
-
-	    $calendarIds = array();
-	    foreach ($result as $key => $value)
-		array_push($calendarIds, $value['calendar']);
-
-	    $calendar = Controller::find(array('concept' => 'calendar'), false, array('filter' => array('AND', array('IN', 'id', $calendarIds), $original['criteria']['filter'])));
-
-	    if ($calendar && count($calendar) > 0){
-		$newResult = array();
-		foreach ($calendar as $key => $value) {
-		    foreach ($result as $k => $r) {
-
-			if ($r['calendar'] == $value['id']) {
-			    $r['calendar'] = $value;
-			    array_push($newResult, $r);
-			}
-		    }
-		}
-
-		foreach ($newResult as $key => &$value) {
-		    if ($value['user'] != 0) {
-			$user = $value['user'];
-			$value['user'] = Controller::read(array('concept' => 'user', 'id' => $user));
-
-			if (!$value['user'])
-			    $value['user'] = Controller::read(array('concept' => 'group', 'id' => $user));
-		    }
-		}
-
-		$result = $newResult;
-	    }else
-		$result = '';
-	}
+    public function deepnessFindCalendarShared(&$uri, &$result, &$criteria, $original) {    
+    	if (isset($original['criteria']['deepness']) && $original['criteria']['deepness'] != '0' && count($result) > 0) {
+
+    	    $calendarIds = array();
+    	    foreach ($result as $key => $value)
+    		array_push($calendarIds, $value['calendar']);
+
+    	    $calendar = Controller::find(array('concept' => 'calendar'), false, array('filter' => array('AND', array('IN', 'id', $calendarIds))));
+
+    	    if ($calendar && count($calendar) > 0){
+                $newResult = array();
+        		foreach ($calendar as $key => $value) {
+        		    foreach ($result as $k => $r) {
+
+            			if ($r['calendar'] == $value['id']) {
+            			    $r['calendar'] = $value;
+            			    array_push($newResult, $r);
+            			}
+        		    }
+        		}
+
+        		foreach ($newResult as $key => &$value) {
+        		    if ($value['user'] != 0) {
+            			$user = $value['user'];
+            			$value['user'] = Controller::read(array('concept' => 'user', 'id' => $user));
+
+            			if (!$value['user'])
+            			    $value['user'] = Controller::read(array('concept' => 'group', 'id' => $user));
+        		    }
+        		}
+
+        		$result = $newResult;
+    	    }else
+    		  $result = '';
+    	}
     }
 
Index: /trunk/prototype/modules/calendar/css/layout.css
===================================================================
--- /trunk/prototype/modules/calendar/css/layout.css	(revision 6996)
+++ /trunk/prototype/modules/calendar/css/layout.css	(revision 7041)
@@ -193,5 +193,5 @@
 	display: inline-block;
 	border: none;
-	width: 215px;
+	width: 213px;
 }
 
@@ -264,4 +264,8 @@
 
 #calendar_addactivity_details8 .block-attendee-list, #calendar_addactivity_details8 .block-activity-list { width:430px; margin-right: 5px; }
+
+div.assing-calendar dl.block-add-user.search{width: 255px;} 
+div.assing-calendar dt.add-user.search{width: 120px;} 
+
 
 .block-activity-list, .block-activity-group-select{width: 405px}
@@ -538,5 +542,5 @@
 
 .shared-calendar .user-list li.user-list{
-	height: 17px;
+	height: 20px;
 	overflow: hidden;
 	position: relative;
@@ -552,4 +556,7 @@
     height: 210px;
 }
+
+//Remover bordas indesejáveis no Ie
+input[type="checkbox"]{border: none 0px;}
 
 .user-acls-shared-calendar{
@@ -683,4 +690,10 @@
 .add-user fieldset.block-add-user{
 	width: 245px;
+}
+
+div.assing-calendar .add-user fieldset.block-add-user{
+    width: 234px;
+    margin: 0;
+    padding: 0;
 }
 
Index: /trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 7022)
+++ /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 7041)
@@ -57,5 +57,6 @@
 	importCalendar: null,
 	sharedCalendar: null,
-	copyCalendar: null
+	copyCalendar: null,
+    assingCalendar: null
     }
 }
@@ -902,5 +903,5 @@
         'priority': 'Prioridade',
         'due' : 'Previsão de término'
-    }
+    };
     
     var statusDecoded = {
@@ -908,6 +909,6 @@
 	2: 'Em processo',
 	3: 'Finalzada',
-	4: 'Cancelada',
-    }
+	4: 'Cancelada'
+    };
 
     var decodeDate = function(time){