Index: sandbox/newExpressoMail/prototype/modules/mail/templates/detailedfoldertree.ejs
===================================================================
--- sandbox/newExpressoMail/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 6773)
+++ sandbox/newExpressoMail/prototype/modules/mail/templates/detailedfoldertree.ejs	(revision 7046)
@@ -22,5 +22,5 @@
 		  }
 
-		  %><li id="<%= array_trees[i].id %>" class="closed"><span class="folder <%= folder_class %>" title="<%= folder_name %>" style="text-align : left; position : static;"><%= folder_name %>
+		  %><li id="<%= array_trees[i].id %>" class="closed" role="folder"><span class="folder <%= folder_class %>" title="<%= folder_name %>" style="text-align : left; position : static;"><%= folder_name %>
 		  <% if(array_trees[i].messageCount.unseen > 0){	%>
 			<span style="text-align : left;">[<label id="dftree_<%= array_trees[i].id%>_unseen" class="folder_unseen" style="color : red; text-align : left;"><%= array_trees[i].messageCount.unseen %></label>]</span>
Index: sandbox/newExpressoMail/expressoMail1_2/index.php
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/index.php	(revision 6997)
+++ sandbox/newExpressoMail/expressoMail1_2/index.php	(revision 7046)
@@ -68,5 +68,5 @@
 		<script type="text/javascript" src="../prototype/plugins/fileupload/jquery.fileupload.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/fileupload/jquery.iframe-transport.js"></script>
-		
+		<script type="text/javascript" src="../prototype/plugins/scrollable-tabs/jquery.scrollabletab.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.contextMenu.js"></script>
Index: sandbox/newExpressoMail/expressoMail1_2/js/abas.js
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/js/abas.js	(revision 7043)
+++ sandbox/newExpressoMail/expressoMail1_2/js/abas.js	(revision 7046)
@@ -11,5 +11,5 @@
 
 var ptabs = $("#ptabs").tabs({ 
-	tabTemplate: "<li><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' title='Fechar Aba'>Fechar Aba</span></li>", 
+	tabTemplate: "<li role='tab'><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' title='Fechar Aba'>Fechar Aba</span></li>", 
 	add: function( event, ui ) { 
 	        countID++; 
@@ -30,4 +30,5 @@
 }); 
 
+//$(ptabs).find(".ui-tabs-nav").wrap("<div class='scroll-tabs'></div>");
 /* 
 	method : createTab
@@ -51,5 +52,5 @@
 		$(ptabs).tabs("add", "#ptabs_"+(href ? href : countID), (label.length > 21 ? label.substring(0, 18)+"..." : label));
 		if(typeof(callback) == 'function') 
-			callback();
+			callback($("#ptabs_"+(href ? href : countID)));
 	}else{
 		$(ptabs).tabs( "select", indexTab(href) );
Index: sandbox/newExpressoMail/expressoMail1_2/js/main.js
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/js/main.js	(revision 7043)
+++ sandbox/newExpressoMail/expressoMail1_2/js/main.js	(revision 7046)
@@ -100,6 +100,12 @@
 
 		$( "#ptabs").find( ".ui-tabs-nav" ).sortable({ 
-			axis: "x", 
 			items: "li:not(.ui-tab-disabled)", 
+			helper : function(a, b){
+				console.log(a);
+				console.log(b);
+				var oi = $(b).clone();
+				oi.addClass("ui-corner-all").css("width", "auto").find("span.ui-icon-close").hide().end().find("a").html("Mover "+oi.find("a").html());
+				return oi;
+			}
 		}).disableSelection();
 
@@ -565,7 +571,31 @@
 			var content = $(DataLayer.render("../prototype/modules/mail/templates/email.ejs", {info : msg_info}));
 
-			createTab(sbj, content.html(), id_msg_read);
-
-			content.find(".message-flags").buttonset();
+			createTab(sbj, content.html(), id_msg_read, function(content){
+                content.find(".message-flags").buttonset();
+                content.find(".message-tags").button({
+                    icons: {
+                        primary: "ui-icon-tag",
+                        secondary: "ui-icon-triangle-1-s"
+                    },
+                    text: false
+                }).next().button({
+                    icons: {
+                        secondary: "ui-icon-triangle-1-s"
+                    },
+                    text: true
+                }).next().button({
+                    icons: {
+                        primary: "ui-icon-trash"
+                    },
+                    text: false
+                }).next().button({
+                    icons: {
+                        primary: "ui-icon-gear",
+                        secondary: "ui-icon-triangle-1-s"
+                    },
+                    text: false
+                });
+            });
+
 			//$(".message-flags").buttonset();
 			//$(".button").button();