Index: sandbox/newExpressoMail/expressoMail1_2/index.php
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/index.php	(revision 7046)
+++ sandbox/newExpressoMail/expressoMail1_2/index.php	(revision 7064)
@@ -48,5 +48,5 @@
 		<script src="../library/ckeditor/adapters/jquery.js" language="javascript"></script> 
 		<script src="../prototype/plugins/lazy/jquery.lazy.js" language="javascript"></script> 
-		
+		<link rel="stylesheet" type="text/css" href="../prototype/plugins/fgmenu/fg.menu.css" media="screen">
 		<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.css" />					
 		
@@ -70,4 +70,5 @@
 		<script type="text/javascript" src="../prototype/plugins/scrollable-tabs/jquery.scrollabletab.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js"></script>
+		<script type="text/javascript" src="../prototype/plugins/fgmenu/fg.menu.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.contextMenu.js"></script>
 		<!-- <script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.ui.position.js"></script> -->
Index: sandbox/newExpressoMail/expressoMail1_2/js/abas.js
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/js/abas.js	(revision 7046)
+++ sandbox/newExpressoMail/expressoMail1_2/js/abas.js	(revision 7064)
@@ -11,5 +11,5 @@
 
 var ptabs = $("#ptabs").tabs({ 
-	tabTemplate: "<li role='tab'><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' title='Fechar Aba'>Fechar Aba</span></li>", 
+	tabTemplate: "<li role='tab' style='cursor: pointer;'><a href='#{href}'>#{label}</a> <span class='ui-icon ui-icon-close' title='Fechar Aba'>Fechar Aba</span></li>", 
 	add: function( event, ui ) { 
 	        countID++; 
@@ -25,8 +25,7 @@
 	},
 	select: function(event, ui) { 
-		console.log(ui.index);
 		lastIndexSelected = ui.index;
 	}
-}); 
+});
 
 //$(ptabs).find(".ui-tabs-nav").wrap("<div class='scroll-tabs'></div>");
@@ -58,5 +57,4 @@
 }
 
-
 /* 
 	method : removeTab
@@ -83,5 +81,4 @@
 }
 
-
 /* 
 	method : indexTab
Index: sandbox/newExpressoMail/expressoMail1_2/js/main.js
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/js/main.js	(revision 7046)
+++ sandbox/newExpressoMail/expressoMail1_2/js/main.js	(revision 7064)
@@ -101,11 +101,11 @@
 		$( "#ptabs").find( ".ui-tabs-nav" ).sortable({ 
 			items: "li:not(.ui-tab-disabled)", 
-			helper : function(a, b){
-				console.log(a);
-				console.log(b);
-				var oi = $(b).clone();
-				oi.addClass("ui-corner-all").css("width", "auto").find("span.ui-icon-close").hide().end().find("a").html("Mover "+oi.find("a").html());
-				return oi;
-			}
+			helper : function(e, drag){
+				var helper = $(drag).clone();
+				helper.addClass("ui-corner-all").css("width", "auto").find("span.ui-icon-close").hide().end().find("a").html("Mover "+helper.find("a").html());
+				return helper;
+			},
+			placeholder: 'ui-state-highlight',
+			forcePlaceholderSize: true
 		}).disableSelection();
 
@@ -569,8 +569,42 @@
 		else {
 			var sbj = msg_info.subject.length < 21 ? msg_info.subject : msg_info.subject.substr(0,21) + "...";
-			var content = $(DataLayer.render("../prototype/modules/mail/templates/email.ejs", {info : msg_info}));
+			var content = $(DataLayer.render("../prototype/modules/mail/templates/email.ejs", {info : msg_info, ID : id_msg_read}));
 
 			createTab(sbj, content.html(), id_msg_read, function(content){
+                content.find(".message-flags").find(".message-important-flag").button({
+                	icons: {
+                		primary: "ui-icon-notice"
+                	},
+                    text: false
+                }).end().find(".message-unread-flag").button({
+                	icons: {
+                		primary: "ui-icon-mail-closed"
+                	},
+                    text: false
+                }).end().find(".message-spam-flag").button({
+                	icons: {
+                		primary: "ui-icon-alert"
+                	},
+                    text: false	
+                }).end().find(".message-followup-flag").button({
+                	icons: {
+                		primary: "ui-icon-flag"
+                	},
+                    text: false
+                });
                 content.find(".message-flags").buttonset();
+
+                content.find(".messages-controll").find(".message-prev").button({
+                	icons: {
+                		primary: "ui-icon-carat-1-w"
+                	},
+                    text: false
+                }).next().button({
+                	icons: {
+                		primary: "ui-icon-carat-1-e"
+                	},
+                    text: false
+                });
+                content.find(".messages-controll").buttonset();
                 content.find(".message-tags").button({
                     icons: {
@@ -589,5 +623,6 @@
                     },
                     text: false
-                }).next().button({
+                });
+                content.find(".messages-preferences").button({
                     icons: {
                         primary: "ui-icon-gear",
@@ -595,5 +630,5 @@
                     },
                     text: false
-                });
+                }).css("width", "45px");
             });
 
Index: sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js
===================================================================
--- sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7043)
+++ sandbox/newExpressoMail/expressoMail1_2/js/draw_api.js	(revision 7064)
@@ -924,5 +924,5 @@
 function syncColumns() {
 	var thisCell;
-	var tbl = (document.getElementById("content_id_"+numBox)==null ? 1 : 0);
+	var tbl = (document.getElementById("ui-tabs-"+numBox)==null ? 1 : 0);
 	if (objCell)
 		thisCell = objCell;