Index: /trunk/prototype/modules/calendar/js/calendar.codecs.js
===================================================================
--- /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 7068)
+++ /trunk/prototype/modules/calendar/js/calendar.codecs.js	(revision 7075)
@@ -85,5 +85,5 @@
 		borderColor: '#' + signature.borderColor || User.preferences.borderColor,
 		textColor: '#' + signature.fontColor || User.preferences.fontColor,
-	        className: [],
+	    className: [],
 		editable:  signature.isOwner
 		}
@@ -607,4 +607,7 @@
 		endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(objEvent.endTime)),  objEvent.timezone, objEvent.calendar, objEvent.DayLigth, 'endTime'), User.preferences.hourFormat),
 		allDay: !!parseInt( objEvent.allDay ),
+		dueDate: objEvent.dueDate,
+		dueTime: objEvent.dueTime,
+		priority: objEvent.priority,
 		attachments: $.map(objEvent.attachments || [], function( attachment, i ){
 		    var attach = DataLayer.get('schedulableToAttachment', attachment, false);
@@ -879,5 +882,5 @@
         }),
         organizer: participantInfo.organizer || me,
-	isOrganizer: (participantInfo.organizer || me).id == me.id,
+		isOrganizer: (participantInfo.organizer || me).id == me.id,
         alarms: !!participantInfo.user ? participantInfo.user.alarms : [],
         status: !!participantInfo.user ? participantInfo.user.status : 1,
@@ -1005,4 +1008,5 @@
         return {
             id: objEvent.id,
+            summary: objEvent.summary,
             description: !!objEvent.summary ? objEvent.summary : objEvent.description,
             startDate: new Date( parseInt(objEvent.startTime) ).setTimezoneOffset( Timezone.timezone( objEvent.timezone ) ).toString( User.preferences.dateFormat ),
@@ -1014,5 +1018,6 @@
             allDay: !!parseInt( objEvent.allDay ),
             percentage: (objEvent.percentage) ? objEvent.percentage : '0',
-			status: objEvent.status
+			status: objEvent.status,
+			priority: objEvent.priority
         }
     });
@@ -1137,6 +1142,8 @@
                     endDate: new Date( parseInt(task.endTime) - (!!parseInt(task.allDay) ? 86400000 : 0)  ).setTimezoneOffset( Timezone.timezone( task.timezone ) ).toString( User.preferences.dateFormat ),
                     endHour: dateCalendar.formatDate(Timezone.getDateEvent(new Date(parseInt(task.endTime)),  task.timezone, obj.calendar, obj.DayLigth, 'endTime'), User.preferences.hourFormat),
-		    status: task.status,
-		    percentage: task.percentage
+					status: task.status,
+					percentage: task.percentage,
+					priority: task.priority,
+					summary: task.summary
                 }
 
@@ -1339,4 +1346,5 @@
 		type: 1,
 		category: form.category,
+		priority: form.priority,
 		summary: form.summary == '' ? 'Evento sem título' : form.summary,
 		description: form.description,
Index: /trunk/prototype/modules/calendar/js/activity.helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/activity.helpers.js	(revision 7012)
+++ /trunk/prototype/modules/calendar/js/activity.helpers.js	(revision 7075)
@@ -300,7 +300,14 @@
 		blkAddTask.find('dd.task-activity-list ul.task-activity-list')
 		    .append(DataLayer.render(path+'templates/task_add_itemlist.ejs', [{
-			idTask: old_item.find('[name="id"]').val(),
-        		    description: old_item.find('.description').html(),
-			    isWrite: false
+				idTask: old_item.find('[name="id"]').val(),
+				description: old_item.find('.description').html(),
+				isWrite: false,
+				summary: old_item.find('[name="taskSummary"]').val(),
+				dueDate: old_item.find('[name="taskDueDate"]').val(),
+				dueTime: old_item.find('[name="taskDueTime"]').val(),
+				startDate: old_item.find('[name="taskStartDate"]').val(),
+				startHour: old_item.find('[name="taskStartHour"]').val(),
+				percentage: old_item.find('[name="taskPercentage"]').val(),
+				priority: old_item.find('[name="taskPriority"]').val()
 			}]))
         		.scrollTo('max');
@@ -327,5 +334,12 @@
                     description: tasks[i].description,
                     idTaskToActivity: tasks[i].taskToActivity,
-		    isWrite: true
+					isWrite: true,
+					summary: tasks[i].summary,
+					dueDate: tasks[i].dueDate,
+					dueTime: tasks[i].dueTime,
+					startDate: tasks[i].startDate,
+					startHour: tasks[i].startHour,
+					percentage: tasks[i].percentage,
+					priority: tasks[i].priority
                  }]))
             .scrollTo('max');
@@ -411,5 +425,12 @@
                     description: tasks[i].description,
                     idTaskToActivity: tasks[i].taskToActivity,
-		    isWrite: true
+					isWrite: true,
+					summary: tasks[i].summary,
+					dueDate: tasks[i].dueDate,
+					dueTime: tasks[i].dueTime,
+					startDate: tasks[i].startDate,
+					startHour: tasks[i].startHour,
+					percentage: tasks[i].percentage,
+					priority: tasks[i].priority
                  }]))
             .scrollTo('max');
@@ -559,5 +580,11 @@
             var positionY = $(this).parents("li").offset().top;
              
-            var name = $(this).parents('li').find("div").find(".name").text();
+            var summary = $(this).parents('li').find("div").find(".summary").val();
+			var startDate = $(this).parents('li').find("div").find(".startDate").val();
+            var startHour = $(this).parents('li').find("div").find(".startHour").val();
+			var dueDate = $(this).parents('li').find("div").find(".dueDate").val();
+			var dueTime = $(this).parents('li').find("div").find(".dueTime").val();
+			var percentage = $(this).parents('li').find("div").find(".percentage").val();
+			var priority = $(this).parents('li').find("div").find(".priority").val();
             var email = $(this).parents('li').find("div").find(".mail").text()
                         
@@ -574,5 +601,11 @@
                     content: {
                         text: $('<div></div>').html( DataLayer.render( path + 'templates/activity_information_task.ejs', {
-                            'name' : name
+                            'summary' : summary,
+							'startDate' : startDate,
+							'startHour' : startHour,
+							'dueDate' : dueDate,
+							'dueTime' : dueTime,
+							'percentage' : percentage,
+							'priority' : priority
                         } ) ),
                         title: {
Index: /trunk/prototype/modules/calendar/templates/task_search_itemlist.ejs
===================================================================
--- /trunk/prototype/modules/calendar/templates/task_search_itemlist.ejs	(revision 6996)
+++ /trunk/prototype/modules/calendar/templates/task_search_itemlist.ejs	(revision 7075)
@@ -12,4 +12,6 @@
     <input type="hidden" name="taskStatus" value="<%=data[i]['status']%>" />
     <input type="hidden" name="taskPercentage" value="<%=data[i]['percentage']%>" />
+    <input type="hidden" name="taskPriority" value="<%=data[i]['priority']%>" />
+    <input type="hidden" name="taskSummary" value="<%=data[i]['summary']%>" />
     <label class="description"><%=data[i]['startDate']%> - <%=data[i]['description']%></label>
 </li>
Index: /trunk/prototype/modules/calendar/templates/activity_information_task.ejs
===================================================================
--- /trunk/prototype/modules/calendar/templates/activity_information_task.ejs	(revision 6996)
+++ /trunk/prototype/modules/calendar/templates/activity_information_task.ejs	(revision 7075)
@@ -1,3 +1,8 @@
-<% if(data){ %>
-	Nome: <%= data.name %><br>
+<% if(data){ 
+	var priority = {1: 'Alta', 2: 'Normal', 3: 'Baixa'};%>
+	Título: <%= data.summary %><br>
+	Início: <%= data.startDate %> <%= data.startHour %><br>
+	Prev. Fim: <%= data.dueDate %> <%= data.dueTime %><br>
+	% Conclusão: <%= data.percentage %><br>
+	Prioridade: <%= priority[data.priority] %><br>
 <% } %>
Index: /trunk/prototype/modules/calendar/templates/task_add_itemlist.ejs
===================================================================
--- /trunk/prototype/modules/calendar/templates/task_add_itemlist.ejs	(revision 6996)
+++ /trunk/prototype/modules/calendar/templates/task_add_itemlist.ejs	(revision 7075)
@@ -9,6 +9,13 @@
 	</div>	
 	<input class="new" type="checkbox" value="<%= data[0].idTask %>">
-        <input type="hidden" name="idtask[]" value="<%= data[0].idTask %>">
+    <input type="hidden" name="idtask[]" value="<%= data[0].idTask %>">
 	<input type="hidden" name="idTaskToActivity[]" value="<%= data[0].idTaskToActivity %>">
 	<label title="<%= data[0].description %>" class="name"><%= data[0].description %></label>
+	<input type="hidden" class="summary" value="<%= data[0].summary %>">
+	<input type="hidden" class="dueDate" value="<%= data[0].dueDate %>">
+	<input type="hidden" class="dueTime" value="<%= data[0].dueTime %>">
+	<input type="hidden" class="startDate" value="<%= data[0].startDate %>">
+	<input type="hidden" class="startHour" value="<%= data[0].startHour %>">
+	<input type="hidden" class="percentage" value="<%= data[0].percentage %>">
+	<input type="hidden" class="priority" value="<%= data[0].priority %>">
 </li>