Index: branches/2.4/prototype/modules/calendar/interceptors/DBMapping.php
===================================================================
--- branches/2.4/prototype/modules/calendar/interceptors/DBMapping.php	(revision 6862)
+++ branches/2.4/prototype/modules/calendar/interceptors/DBMapping.php	(revision 7093)
@@ -1,3 +1,34 @@
 <?php
+	/** 
+    * 
+    * Copyright (C) 2011 Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * 
+    * This program is free software; you can redistribute it and/or modify 
+    * it under the terms of the GNU General Public License as published by 
+    * the Free Software Foundation; either version 3 of the License, or 
+    * any later version. 
+    * 
+    * This program is distributed in the hope that it will be useful, but WITHOUT 
+    * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
+    * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more 
+    * details. 
+    * 
+    * You should have received a copy of the GNU General Public License 
+    * along with this program; if not, write to the Free Software Foundation, 
+    * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA 
+    * 
+    * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves, 
+    * 6731, PTI, Edifício do Saber, 3º floor, room 306, Foz do Iguaçu - PR - Brasil 
+    * or at e-mail address prognus@prognus.com.br. 
+    * 
+    * Neste arquivo são ser implementadas regras de negócio para consistir e normalizar os dados correspondentes às operações do usuário para o ExpressoCalendar.  
+    * 
+    * @license    http://www.gnu.org/copyleft/gpl.html GPL 
+    * @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * @version    1.0 
+    * @sponsor    Caixa Econômica Federal 
+    * @since      Arquivo disponibilizado na versão Expresso 2.4.0 
+    */ 
+
 
 //Definindo Constantes
@@ -7,4 +38,14 @@
 
 use prototype\api\Config as Config;
+
+/** 
+* Classe com implementações das regras de negócio para consistir e normalizar os dados correspondentes às operações do usuário para o ExpressoCalendar. 
+* 
+* @license    http://www.gnu.org/copyleft/gpl.html GPL 
+* @author     Consórcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+* @sponsor    Caixa Econômica Federal 
+* @version    1.0 
+* @since      Classe disponibilizada na versão Expresso 2.4.0  
+*/ 
 
 class DBMapping extends Helpers {
Index: branches/2.4/prototype/modules/calendar/constants.php
===================================================================
--- branches/2.4/prototype/modules/calendar/constants.php	(revision 6295)
+++ branches/2.4/prototype/modules/calendar/constants.php	(revision 7093)
@@ -1,4 +1,35 @@
 <?php
 
+	/** 
+    * 
+    * Copyright (C) 2011 ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * 
+    * This program is free software; you can redistribute it and/or modify 
+    * it under the terms of the GNU General Public License as published by 
+    * the Free Software Foundation; either version 3 of the License, or 
+    * any later version. 
+    * 
+    * This program is distributed in the hope that it will be useful, but WITHOUT 
+    * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
+    * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more 
+    * details. 
+    * 
+    * You should have received a copy of the GNU General Public License 
+    * along with this program; if not, write to the Free Software Foundation, 
+    * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA 
+    * 
+    * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves, 
+    * 6731, PTI, EdifÃ­cio do Saber, 3Âº floor, room 306, Foz do IguaÃ§u - PR - Brasil 
+    * or at e-mail address prognus@prognus.com.br. 
+    * 
+    * Neste arquivo sÃ£o definidas as contantes a serem utilizadas pelo mÃ³dulo ExpressoCalendar.  
+    * 
+    * @license    http://www.gnu.org/copyleft/gpl.html GPL 
+    * @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * @version    1.0 
+    * @sponsor    Caixa EconÃŽmica Federal 
+    * @since      Arquivo disponibilizado na versÃ£o Expresso 2.4.0 
+    */ 
+    
 define('EVENT_ID', 1);
 
Index: branches/2.4/prototype/modules/calendar/export.php
===================================================================
--- branches/2.4/prototype/modules/calendar/export.php	(revision 5863)
+++ branches/2.4/prototype/modules/calendar/export.php	(revision 7093)
@@ -1,3 +1,35 @@
 <?php
+    
+    /** 
+    * 
+    * Copyright (C) 2011 ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * 
+    * This program is free software; you can redistribute it and/or modify 
+    * it under the terms of the GNU General Public License as published by 
+    * the Free Software Foundation; either version 3 of the License, or 
+    * any later version. 
+    * 
+    * This program is distributed in the hope that it will be useful, but WITHOUT 
+    * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS 
+    * FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more 
+    * details. 
+    * 
+    * You should have received a copy of the GNU General Public License 
+    * along with this program; if not, write to the Free Software Foundation, 
+    * Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301  USA 
+    * 
+    * You can contact Prognus Software Livre headquarters at Av. Tancredo Neves, 
+    * 6731, PTI, EdifÃ­cio do Saber, 3Âº floor, room 306, Foz do IguaÃ§u - PR - Brasil 
+    * or at e-mail address prognus@prognus.com.br. 
+    * 
+    * Neste arquivo sÃ£o ser implementadas regras de negÃ³cio para a exportaÃ§Ã£o de eventos e tarefas do ExpressoCalendar.  
+    * 
+    * @license    http://www.gnu.org/copyleft/gpl.html GPL 
+    * @author     ConsÃ³rcio Expresso Livre - 4Linux (www.4linux.com.br) e Prognus Software Livre (www.prognus.com.br) 
+    * @version    1.0 
+    * @sponsor    Caixa EconÃŽmica Federal 
+    * @since      Arquivo disponibilizado na versÃ£o Expresso 2.4.0 
+    */ 
+
 require_once '../../api/controller.php';
 $params = $_GET;